/*
 * The Pipelined Regular Expression Monitor Compiler System
 * Copyright (c) 2002 University of British Columbia
 * All Rights Reserved.
 *
 *
 * Grammar for the PREMSC language
 *
 * Marcio Oliveira -- 2002
 */

#include<stdio.h>
#include<error.h>
#include<stdarg.h>

extern int srcline;

#define print_error_message \
  printf("\n\nPREMS error at line %d: ", srcline);  \
  vprintf(fmt, args);  \
  printf("\n\n");

void error(char *fmt, ...)
{
  va_list args;

  va_start(args, fmt);
  print_error_message;
  va_end(args);
}

void fatal_error(char *fmt, ...)
{
  va_list args;

  va_start(args, fmt);
  print_error_message;
  va_end(args);

  printf("*** Execution Aborted! *** \n\n");
  exit(1);
};
